diff --git a/langs/de/cgi-bin/de.pl b/langs/de/cgi-bin/de.pl
index 4cf866a3a..67c9aacbd 100644
--- a/langs/de/cgi-bin/de.pl
+++ b/langs/de/cgi-bin/de.pl
@@ -1396,6 +1396,7 @@
 'invalid loaded file' => 'Ungültige geladene Datei',
 'invalid local-remote id' => 'Local-Id und Remote-Id dürfen nicht gleich sein, und müssen einem "@"-Zeichen beginnen. Dies sind leftid und rightid in der StrongSwan-Terminologie.',
 'invalid logserver address' => 'Ungültige syslogd-Server-Adresse',
+'invalid logserver protocol' => 'Ungültiges syslogd-Server-Übertragungsprotokoll',
 'invalid mac address' => 'Ungültige MAC-Adresse',
 'invalid max lease time' => 'Ungültige max. Haltezeit.',
 'invalid maximum incoming size' => 'Ungültige max. ankommende Größe.',
@@ -1482,7 +1483,8 @@
 'log enabled' => 'Protokoll aktiviert',
 'log level' => 'Protokollierungslevel',
 'log lines per page' => 'Zeilen pro Seite',
-'log server address' => 'Syslog Server',
+'log server address' => 'Syslog Server:',
+'log server protocol' => 'Übertragungsprotokoll:',
 'log settings' => 'Protokolldatei-Einstellungen',
 'log summaries' => 'Protokollübersicht',
 'log summary' => 'Protokollzusammenfassung',
@@ -2189,6 +2191,7 @@
 'system logs' => 'Systemprotokolldateien',
 'system status information' => 'System-Statusinformationen',
 'ta key' => 'TLS-Authentifizierungsschlüssel',
+'tcp more reliable' => 'TCP (zuverlässiger)',
 'telephone not set' => 'Telefonnummer nicht angegeben.',
 'template' => 'Vorlage',
 'template warning' => 'Zur Einrichtung von QoS stehen Ihnen 2 Möglichkeiten zur Auswahl. Entweder Sie wählen speichern und erstellen Klassen und Regeln nach Ihren Wünschen, oder Sie wählen Vorlage, dann werden die Klassen und Regeln durch ein Template generiert.',
@@ -2309,6 +2312,7 @@
 'tripwirewarningpolicy' => 'ACHTUNG - Ihr Policy wird neu erzeugt, anschließen wird die Datenbank neu initialisiert. Hierfür wird der Site-Key und Local-Key benötigt.',
 'tuesday' => 'Dienstag',
 'type' => 'Typ',
+'udp less overhead' => 'UDP (geringerer Overhead)',
 'umount' => 'Abmelden',
 'umount removable media before to unplug' => 'Wechselmedien vor dem Entfernen unbedingt abmelden',
 'unable to alter profiles while red is active' => 'Profile können nicht geändert werden, solange ROT aktiv ist.',
diff --git a/langs/en/cgi-bin/en.pl b/langs/en/cgi-bin/en.pl
index 946aba873..1e9754b53 100644
--- a/langs/en/cgi-bin/en.pl
+++ b/langs/en/cgi-bin/en.pl
@@ -1428,6 +1428,7 @@
 'invalid loaded file' => 'Invalid loaded file',
 'invalid local-remote id' => 'local & remote id must not be equal and begin with a "@" sign. These are leftid and rightid in strongswan terminology.',
 'invalid logserver address' => 'Invalid syslogd server address',
+'invalid logserver protocol' => 'Invalid syslogd server protocol',
 'invalid mac address' => 'Invalid MAC address',
 'invalid max lease time' => 'Invalid max lease time.',
 'invalid maximum incoming size' => 'Invalid maximum incoming size.',
@@ -1515,6 +1516,7 @@
 'log level' => 'Log Level',
 'log lines per page' => 'Lines per page',
 'log server address' => 'Syslog server:',
+'log server protocol' => 'protocol:',
 'log settings' => 'Log Settings',
 'log summaries' => 'Log summaries',
 'log summary' => 'Log Summary',
@@ -2231,6 +2233,7 @@
 'system logs' => 'System Logs',
 'system status information' => 'System Status Information',
 'ta key' => 'TLS-Authentification-Key',
+'tcp more reliable' => 'TCP (more reliable)',
 'telephone not set' => 'Telephone not set.',
 'template' => 'Preset',
 'template warning' => 'You have two options to set up Qos. The First, you press the save button and generate the classes and rules on your own. The second, you press the preset button and classes and rules will be set up by a template.',
@@ -2354,6 +2357,7 @@
 'tripwirewarningpolicy' => 'WARNING - Your policy will be rebuild, after that your database will be reinitalised. Therefor the site-key and the local-key are neeeded.',
 'tuesday' => 'Tuesday',
 'type' => 'Type',
+'udp less overhead' => 'UDP (less overhead)',
 'umount' => 'Umount',
 'umount removable media before to unplug' => 'Umount removable media before unplugging the device',
 'unable to alter profiles while red is active' => 'Unable to alter profiles while RED is active.',