diff --git a/langs/de/cgi-bin/de.pl b/langs/de/cgi-bin/de.pl
index f87071db7..a10cfa15b 100644
--- a/langs/de/cgi-bin/de.pl
+++ b/langs/de/cgi-bin/de.pl
@@ -90,7 +90,7 @@
 'Level7 Protocol' => 'Level7-Protokoll',
 'Level7 Rule' => 'Level7-Regel',
 'Level7 rule' => 'Level7-Regel',
-'Local VPN IP' => 'Internes Netzwerk (GREEN)',
+'Local VPN IP' => 'Internes Netzwerk (GRÜN)',
 'MB read' => 'MB gelesen',
 'MB written' => 'MB geschrieben',
 'MTU' => 'MTU-Größe:',
@@ -110,7 +110,7 @@
 'Resolv' => 'Resolv-Retry',
 'Scan for Files' => 'Nach Dateien suchen',
 'Scan from Directory' => 'Scan Verzeichnis',
-'Set time on boot' => 'Erzwinge das Setzen der Systemzeit im Bootvorgang',
+'Set time on boot' => 'Erzwinge das Setzen der Systemzeit während des Bootvorgangs',
 'Subclass' => 'Unterklasse',
 'TOS Bits' => 'TOS-Bits',
 'TOS Rule' => 'TOS-Regel',
@@ -343,8 +343,8 @@
 'advproxy no clients defined' => 'Keine Clients definiert',
 'advproxy no connection auth' => 'Keine verbindungsorientierte Authentifizierungsweiterleitung',
 'advproxy no cre groups' => 'Es sind keine Zugriffsgruppen verfügbar',
-'advproxy no internal proxy on blue' => ' Deaktiviere internen Proxy von Blue in andere Subnetze',
-'advproxy no internal proxy on green' => 'Deaktiviere internen Proxy nach Green aus anderen Subnetzen',
+'advproxy no internal proxy on blue' => ' Deaktiviere internen Proxy von BLAU in andere Subnetze',
+'advproxy no internal proxy on green' => 'Deaktiviere internen Proxy nach GRÜN aus anderen Subnetzen',
 'advproxy number of L1 dirs' => 'Anzahl der Level-1 Unterverzeichnisse',
 'advproxy off' => 'Proxy aus',
 'advproxy offline mode' => 'Aktiviere Offline-Modus',
@@ -357,7 +357,7 @@
 'advproxy reset' => 'Zurücksetzen',
 'advproxy saturday' => 'Sa',
 'advproxy save and restart' => 'Speichern und Neustart',
-'advproxy squid version' => 'Squid Cache Version',
+'advproxy squid version' => 'Squid Versionsnummer',
 'advproxy squidclamav' => 'SquidClamav',
 'advproxy ssadvanced proxy' => 'advanced proxy',
 'advproxy ssl ports' => 'Zulässige SSL-Ports (einer pro Zeile)',
@@ -453,7 +453,7 @@
 'backup sets' => 'Datensicherungssätze',
 'backup to floppy' => 'Datensicherung auf Diskette',
 'backupaddon' => 'Addonsicherung',
-'backupprofile' => 'Falls die Wiederverbindung scheitert, auf Profil umschalten',
+'backupprofile' => 'Falls die Wiederverbindung scheitert, auf dieses Profil umschalten',
 'backups' => 'Sicherungen',
 'backupwarning' => 'Bitte stellen Sie zuerst Ihre Hauptsicherung wieder her und anschließend die Addons. Achten Sie darauf, dass die Sicherungen ihre originalen Dateinamen behalten.',
 'bad characters in' => 'Ungültige Zeichen in ',
@@ -474,7 +474,7 @@
 'bleeding rules' => 'Bleeding Edge Snort Rules',
 'block' => 'Blocken',
 'blue' => 'BLAU',
-'blue access' => 'Zugriff auf Blau',
+'blue access' => 'Zugriff auf BLAU',
 'blue access use hint' => 'Sie müssen mindestens die MAC- oder die IP-Adresse für ein Gerät angeben. Optional können Sie sowohl MAC- als auch IP-Adresse angeben.',
 'blue interface' => 'Blaues Interface',
 'broadcast' => 'Broadcast',
@@ -582,7 +582,7 @@
 'ccd used' => 'Genutzte Adressen',
 'cert' => 'Zertifikat',
 'certificate' => 'Zertifikat',
-'certificate authorities' => 'Zertifizierungsstellen und -Schlüssel',
+'certificate authorities' => 'Zertifizierungsstellen und -schlüssel',
 'certificate does not have a valid ca associated with it' => 'Mit dem Zertifikat ist keine gültige CA verbunden.',
 'certificate file move failed' => 'Verschieben der Zertifikatsdatei fehlgeschlagen',
 'cfg restart' => 'Nach dem Wiederherstellen eines Konfigurationsarchivs wird ein Neustart empfohlen.',
@@ -619,7 +619,7 @@
 'connection' => 'Verbindung',
 'connection closed' => 'Nicht Verbunden...',
 'connection debugging' => 'Verbindungs-Debugging',
-'connection status and controlc' => 'Verbindungsstatus und -Kontrolle',
+'connection status and controlc' => 'Verbindungsstatus und -kontrolle',
 'connection tracking' => 'iptables-Verbindungsverfolgung',
 'connection type' => 'Verbindungstyp',
 'connection type is invalid' => 'Verbindungstyp ist ungültig',
@@ -665,7 +665,7 @@
 'current aliases' => 'Aktuelle Alias-Adresse',
 'current class' => 'Aktuelle Klasse',
 'current devices' => 'Schnittstellen',
-'current dhcp leases on blue' => 'Aktuelle DHCP-Zuordnungen auf Blau',
+'current dhcp leases on blue' => 'Aktuelle DHCP-Zuordnungen auf BLAU',
 'current dynamic leases' => 'Aktuelle dynamische Zuordnungen',
 'current fixed leases' => 'Aktuelle feste Zuordnungen',
 'current hosts' => 'Aktuelle Hosts',
@@ -702,7 +702,7 @@
 'def lease time' => 'Standardzeit für Zuordnung',
 'default' => 'Voreinstellung',
 'default ip' => 'Standard IP-Adresse',
-'default lease time' => 'Haltezeit-Voreinstellung in min:',
+'default lease time' => 'Haltezeit-Voreinstellung (Min.):',
 'default networks' => 'Standard Netzwerke',
 'default renewal time' => 'Standard-Aktualisierungszeit',
 'default services' => 'Standard Dienste',
@@ -727,7 +727,7 @@
 'detail level' => 'Detaillierungsgrad',
 'details' => 'Mehr',
 'device' => 'Gerät',
-'devices on blue' => 'Geräte auf Blau',
+'devices on blue' => 'Geräte auf BLAU',
 'dh' => 'Diffie-Hellman-Parameter',
 'dh key move failed' => 'Verschieben der Diffie-Hellman-Parameter fehlgeschlagen.',
 'dh key warn' => 'Das Generieren der DH-Parameter mit 1024 oder 2048 Bit dauert üblicherweise mehrere Minuten. Schlüssellängen von 3072 oder 4096 Bit beanspruchen mehrere Stunden. Bitte haben Sie etwas Geduld.',
@@ -756,10 +756,10 @@
 'dhcp configuration' => 'DHCP-Konfiguration',
 'dhcp create fixed leases' => 'Feste Zuordnungen erzeugen',
 'dhcp dns enable update' => 'DNS-Update (RFC2136) aktivieren:',
-'dhcp dns key name' => 'Schlüsselname:',
+'dhcp dns key name' => 'Schlüsselname',
 'dhcp dns update' => 'DNS-Update',
-'dhcp dns update algo' => 'Algorithmus:',
-'dhcp dns update secret' => 'Schlüssel:',
+'dhcp dns update algo' => 'Algorithmus',
+'dhcp dns update secret' => 'Schlüssel',
 'dhcp fixed lease err1' => 'Für eine feste Zuordnung müssen entweder die Hardware Adresse (MAC-Adresse) oder der Hostname oder beide eingetragen werden.',
 'dhcp fixed lease help1' => 'IP Adressen können als FQDN angegeben werden.',
 'dhcp mode' => 'DHCP',
@@ -772,7 +772,7 @@
 'dial user password' => 'Passwort für Benutzer &quot;dial&quot;:',
 'dial user password has been changed' => 'Passwort für Benutzer -dial- wurde geändert.',
 'dialing mode' => 'Wählmodus:',
-'dialup red not ppp' => 'Einwahl Profile können nur verwendet werden wenn <b>RED</b> auf <b>PPP Einwahl</b> eingestellt ist. <BR>Bitte die Netzwerkeinstellungen prüfen.',
+'dialup red not ppp' => 'Einwahl Profile können nur verwendet werden wenn <b>ROT</b> auf <b>PPP Einwahl</b> eingestellt ist. <BR>Bitte die Netzwerkeinstellungen prüfen.',
 'dialup settings' => 'Einwahl-Einstellungen',
 'directory mask' => 'UNIX Verzeichnis Rechte',
 'directory writeable' => 'Verzeichnis schreibbar',
@@ -1168,7 +1168,7 @@
 'fwhost any' => 'Alle',
 'fwhost attention' => 'ACHTUNG',
 'fwhost back' => 'Zurück',
-'fwhost blue' => 'Blau',
+'fwhost blue' => 'BLAU',
 'fwhost ccdhost' => 'OpenVPN-Clients:',
 'fwhost ccdnet' => 'OpenVPN-Netzwerke:',
 'fwhost change' => 'Ändern',
@@ -1213,7 +1213,7 @@
 'fwhost err srv exists' => 'Ein Service mit diesem Namen existiert bereits',
 'fwhost err srvexist' => 'Dieser Dienst ist bereits in der Gruppe',
 'fwhost err sub32' => 'Bitte Netzwerke hinzufügen, keinen einzelnen Host',
-'fwhost green' => 'Grün',
+'fwhost green' => 'GRÜN',
 'fwhost hint' => 'Hinweis',
 'fwhost hosts' => 'Firewall-Hosts',
 'fwhost icmptype' => 'ICMP-Typ:',
@@ -1229,7 +1229,7 @@
 'fwhost newnet' => 'Netzwerke',
 'fwhost newservice' => 'Dienst',
 'fwhost newservicegrp' => 'Dienstgruppen',
-'fwhost orange' => 'Orange',
+'fwhost orange' => 'ORANGE',
 'fwhost ovpn_n2n' => 'OpenVPN Net-to-Net',
 'fwhost port' => 'Port(s)',
 'fwhost prot' => 'Protokoll',
@@ -1293,7 +1293,7 @@
 'high' => 'Hoch',
 'high memory usage' => 'Speicher wird knapp',
 'hint' => 'Tipp',
-'holdoff' => 'Holdoff-Zeit in (Sekunden)',
+'holdoff' => 'Holdoff-Zeit (Sek.)',
 'host' => 'Host',
 'host allow' => 'Liste der Zugriffsberechtigten',
 'host certificate' => 'Host-Zertifikat',
@@ -1316,7 +1316,7 @@
 'icmp type' => 'ICMP-Typ',
 'id' => 'ID',
 'idle' => 'Leerlauf',
-'idle timeout' => 'Leerlauf-Wartezeit in min (0 zum Deaktivieren):',
+'idle timeout' => 'Leerlauf-Wartezeit in Min. (0 zum Deaktivieren):',
 'idle timeout not set' => 'Leerlauf-Wartezeit nicht angegeben.',
 'ids log viewer' => 'Ansicht IDS-Protokoll',
 'ids logs' => 'IDS-Protokolldateien',
@@ -1359,9 +1359,9 @@
 'interfaces' => 'Interfaces',
 'internet' => 'INTERNET',
 'intrusion detection' => 'Einbruchdetektierung',
-'intrusion detection system' => 'Intrusion Detection System',
+'intrusion detection system' => 'Einbruchsdetektierung',
 'intrusion detection system log viewer' => 'Betrachter der IDS-Protokolldateien',
-'intrusion detection system rules' => 'Intrusion Detection System Regeln',
+'intrusion detection system rules' => 'Regeln für die Einbruchsdetektierung',
 'intrusion detection system2' => 'Intrusion Detection System:',
 'invalid broadcast ip' => 'Ungültige Broadcast-IP',
 'invalid cache size' => 'Ungültige Cache-Größe.',
@@ -1443,7 +1443,7 @@
 'ipfires hostname' => 'IPFire\'s Hostname',
 'ipinfo' => 'IP-Info',
 'ipsec' => 'IPsec',
-'ipsec network' => 'IPsec-Netzwerke',
+'ipsec network' => 'IPsec-Netzwerk',
 'ipsec no connections' => 'Keine aktiven IPsec-Verbindungen',
 'iptable rules' => 'IPTable-Regeln',
 'iptmangles' => 'IPTable Mangles',
@@ -1551,14 +1551,14 @@
 'march' => 'März',
 'marked' => 'Markiert',
 'masquerade blue' => 'NAT auf BLAU',
-'masquerade green' => 'NAT auf GREEN',
+'masquerade green' => 'NAT auf GRÜN',
 'masquerade orange' => 'NAT auf ORANGE',
 'masquerading' => 'Masquerading/NAT',
 'masquerading disabled' => 'NAT ausgeschaltet',
 'masquerading enabled' => 'NAT eingeschaltet',
 'max bandwith' => 'Maximale Bandbreite',
 'max incoming size' => 'Max. eingehende Größe (kB):',
-'max lease time' => 'Max. Haltezeit in min.:',
+'max lease time' => 'Max. Haltezeit (Min.):',
 'max outgoing size' => 'Max. abgehende Größe (kB):',
 'max reliability' => 'Maximale Zuverlässigkeit',
 'max renewal time' => 'Maximale Aktualisierungszeit',
@@ -1659,7 +1659,7 @@
 'net address' => 'Netzadresse',
 'net config' => 'Netzwerk-Konfiguration',
 'net config type' => 'Netzwerk-Konfigurations-Typ',
-'net config type help' => 'GREEN ist das lokale Netzwerk, RED ist das Internet, BLUE ist WLAN, ORANGE ist die DMZ.',
+'net config type help' => 'GRÜN ist das lokale Netzwerk, ROT das Internet, BLAU das WLAN, ORANGE die DMZ.',
 'net to net vpn' => 'Netz-zu-Netz Virtual Private Network',
 'net traffic newversion' => 'Es ist eine neue Net-Traffic Version verfügbar:',
 'net-traffic configuration' => 'Net-Traffic Konfiguration',
@@ -1919,7 +1919,7 @@
 'prefered master' => 'Prefered Master',
 'present' => 'Vorhanden',
 'prev' => 'Vorheriger',
-'primary dns' => 'Primärer DNS:',
+'primary dns' => 'Primärer DNS-Server:',
 'primary ntp server' => 'Primärer NTP-Server',
 'primary wins server address' => 'Primäre WINS-Server Adresse',
 'printcap name' => 'Printercap Name',
@@ -2013,7 +2013,7 @@
 'resetglobals' => 'Globale Einstellungen zurücksetzen',
 'resetpolicy' => 'Richtlinie zurücksetzen',
 'resetshares' => 'Shares zurücksetzen?',
-'resetting the vpn configuration will remove the root ca, the host certificate and all certificate based connections' => 'Das Löschen des X509 wird die Root-CA, die Host-Zertifikate und alle zertifikatsbasierten Verbindungen entfernen.',
+'resetting the vpn configuration will remove the root ca, the host certificate and all certificate based connections' => 'Das Löschen des X509 wird die Root-CA, die Host-Zertifikate und alle zertifikatsbasierten Verbindungen entfernen',
 'restart' => 'Neustart',
 'restart ovpn server' => 'OpenVPN-Server neu starten',
 'restore' => 'Wiederherstellen',
@@ -2045,10 +2045,10 @@
 'save-adv-options' => 'Erweiterte Optionen speichern',
 'script name' => 'Skriptname:',
 'search' => 'Suchen',
-'secondary dns' => 'Sekundärer DNS:',
+'secondary dns' => 'Sekundärer DNS-Server:',
 'secondary ntp server' => 'Sekundärer NTP-Server',
 'secondary wins server address' => 'Sekundäre WINS-Server Adresse',
-'seconds' => 'sek.',
+'seconds' => 'Sek.',
 'section' => 'Abschnitt',
 'secure shell server' => 'Secure Shell Server',
 'security' => 'Sicherheit',
@@ -2676,12 +2676,12 @@
 'volup5' => 'Laustärke um 5 erhöhen',
 'vpi number' => 'VPI-Nummer:',
 'vpn' => 'VPN',
-'vpn aggrmode' => 'IKE Aggressive Mode zugelassen. Wenn möglich, vermeiden (preshared Schlüssel wird im Klartext übertragen)!',
+'vpn aggrmode' => 'IKE Aggressive Mode zugelassen. Möglichst vermeiden (preshared Schlüssel wird im Klartext übertragen)!',
 'vpn altname syntax' => 'Der Subjekt Alternativ Name ist eine durch Komma getrennte Liste von Email, DNS, URI, RID und IP Objekten. <br />Email: eine Email Adresse. Syntax Email: \'copy\' benutzt die Email Adresse aus dem Zertifikatfeld. <br />DNS: ein gültiger Domain Name.<br />URI: eine gültige URI.<br />RID: Registriertes Objekt Identifikation.<br />IP: eine IP Adresse.<br />Bitte beachten: der Zeichensatz ist eingeschränkt und die Groß-/Kleinschreibung ist entscheidend.<br />Beispiel:<br /><b>email:</b>info@ipfire.org<b>,email:</b>copy<b>,DNS:</b>www.ipfire.org<b>,IP:</b>127.0.0.1<b>,URI:</b>http://url/nach/irgendwo',
 'vpn auth-dn' => 'Peer wird identifiziert durch entweder ein IPV4_ADDR, FQDN, USER_FQDN oder DER_ASN1_DN string in Remote ID Feld',
-'vpn broken' => 'Gebrochen',
+'vpn broken' => 'gebrochen',
 'vpn connecting' => 'VERBINDUNGSAUFBAU',
-'vpn delayed start' => 'Verzögerung, bevor VPN gestartet wird (in Sekunden)',
+'vpn delayed start' => 'Verzögerung, bevor VPN gestartet wird (Sek.)',
 'vpn delayed start help' => 'Falls notwendig, kann diese Verzögerung dazu verwendet werden, um Dynamic-DNS-Updates ordnungsgemäß anzuwenden. 60 ist ein gängiger Wert, wenn ROT (RED) eine dynamische IP Adresse ist.',
 'vpn incompatible use of defaultroute' => 'Hostname=%defaultroute nicht zulässig',
 'vpn keyexchange' => 'Schlüsseltausch',
@@ -2703,7 +2703,7 @@
 'vpn statistic rw' => 'OpenVPN-Roadwarrior-Statistik',
 'vpn subjectaltname' => 'Subjekt Alternativer Name',
 'vpn watch' => 'Netz-zu-Netz VPN neu starten, wenn sich Remote-IP ändert (DynDNS).',
-'vpn weak' => 'Schwach',
+'vpn weak' => 'schwach',
 'waiting to synchronize clock' => 'Bitte warten, die Uhr wird synchronisiert',
 'warn when traffic reaches' => 'Warnen wenn Traffic x % erreicht',
 'warning messages' => 'Warnhinweise',
@@ -2720,8 +2720,8 @@
 'weekly firewallhits' => 'wöchentliche Firewalltreffer',
 'weeks' => 'Wochen',
 'wildcards' => 'Wildcards',
-'wins server' => 'Wins-Server',
-'wins support' => 'Wins-Support',
+'wins server' => 'WINS-Server',
+'wins support' => 'WINS-Support',
 'wireless' => 'Wireless',
 'wireless config added' => 'Wireless-Konfiguration hinzugefügt',
 'wireless config changed' => 'Wireless-Konfiguration geändert',