diff --git a/langs/de/cgi-bin/de.pl b/langs/de/cgi-bin/de.pl
index 119b29913..233924da0 100644
--- a/langs/de/cgi-bin/de.pl
+++ b/langs/de/cgi-bin/de.pl
@@ -638,7 +638,7 @@
 'connection closed' => 'Nicht Verbunden...',
 'connection debugging' => 'Debugmeldungen dieser Verbindung protokollieren',
 'connection status and controlc' => 'Verbindungsstatus und -kontrolle',
-'connection tracking' => 'iptables-Verbindungsverfolgung',
+'connection tracking' => 'Verbindungsverfolgung',
 'connection type' => 'Verbindungstyp',
 'connection type is invalid' => 'Verbindungstyp ist ungültig',
 'connections' => 'Verbindungen',
diff --git a/langs/en/cgi-bin/en.pl b/langs/en/cgi-bin/en.pl
index 592ee7fb7..75cdb006d 100644
--- a/langs/en/cgi-bin/en.pl
+++ b/langs/en/cgi-bin/en.pl
@@ -653,12 +653,11 @@
 'connection closed' => 'Not connected...',
 'connection debugging' => 'Connection debugging',
 'connection status and controlc' => 'Connection Status and -Control',
-'connection tracking' => 'iptables Connection Tracking',
+'connection tracking' => 'Connection Tracking',
 'connection type' => 'Connection Type',
 'connection type is invalid' => 'Connection type is invalid.',
 'connections' => 'Connections',
 'connections are associated with this ca.  deleting the ca will delete these connections as well.' => 'connections are associated with this CA. Deleting the CA will delete these connections as well.',
-'connnection tracking' => 'Connection Tracking',
 'connscheduler' => 'Connection Scheduler',
 'core notice 1' => '<strong>Notice:</strong> There is an core-update from',
 'core notice 2' => 'to',
diff --git a/langs/es/cgi-bin/es.pl b/langs/es/cgi-bin/es.pl
index a4870f5f1..933d3b812 100644
--- a/langs/es/cgi-bin/es.pl
+++ b/langs/es/cgi-bin/es.pl
@@ -511,7 +511,7 @@
 'connection closed' => 'No conectado…',
 'connection debugging' => 'Depurado de conexión',
 'connection status and controlc' => 'Control y Status de conexión:',
-'connection tracking' => 'Rastreo de conexión iptables',
+'connection tracking' => 'Seguimiento de conexión',
 'connection type' => 'Tipo de conexión',
 'connection type is invalid' => 'Tipo de conexión no es válido',
 'connections' => 'Conexiones',
diff --git a/langs/fr/cgi-bin/fr.pl b/langs/fr/cgi-bin/fr.pl
index 41eb631af..2cb93f25b 100644
--- a/langs/fr/cgi-bin/fr.pl
+++ b/langs/fr/cgi-bin/fr.pl
@@ -658,7 +658,7 @@
 'connection closed' => 'Non connecté...',
 'connection debugging' => 'Déboggage de la connexion ',
 'connection status and controlc' => 'Etat et contrôle de connexion :',
-'connection tracking' => 'Surveillance des connexions tables IP',
+'connection tracking' => 'Suivi de connexion',
 'connection type' => 'Type de connexion',
 'connection type is invalid' => 'Le type de connexion est non valide.',
 'connections' => 'Connexions',
diff --git a/langs/it/cgi-bin/it.pl b/langs/it/cgi-bin/it.pl
index b7722a892..9d0f349a4 100644
--- a/langs/it/cgi-bin/it.pl
+++ b/langs/it/cgi-bin/it.pl
@@ -574,7 +574,7 @@
 'connection closed' => 'Non connesso...',
 'connection debugging' => 'Connection debugging',
 'connection status and controlc' => 'Stato della connessione e controllo',
-'connection tracking' => 'Monitoraggio connessioni iptables',
+'connection tracking' => 'Monitoraggio della connessione',
 'connection type' => 'Connection Type',
 'connection type is invalid' => 'Connection type is invalid.',
 'connections' => 'Connessioni',
diff --git a/langs/nl/cgi-bin/nl.pl b/langs/nl/cgi-bin/nl.pl
index 2b8f6868e..f14306871 100644
--- a/langs/nl/cgi-bin/nl.pl
+++ b/langs/nl/cgi-bin/nl.pl
@@ -571,7 +571,7 @@
 'connection closed' => 'Niet verbonden...',
 'connection debugging' => 'Connectie debugging',
 'connection status and controlc' => 'Verbindingsstatus en controle:',
-'connection tracking' => 'iptables verbindingen volgen',
+'connection tracking' => 'Verbinding volgen',
 'connection type' => 'Verbindingstype',
 'connection type is invalid' => 'Verbindingstype is ongeldig.',
 'connections' => 'Verbindingen',
diff --git a/langs/pl/cgi-bin/pl.pl b/langs/pl/cgi-bin/pl.pl
index 15ddc7e95..668045537 100644
--- a/langs/pl/cgi-bin/pl.pl
+++ b/langs/pl/cgi-bin/pl.pl
@@ -512,7 +512,7 @@
 'connection closed' => 'Brak połączenia...',
 'connection debugging' => 'Debugowanie połączenia',
 'connection status and controlc' => 'Stan i kontrola połączenia:',
-'connection tracking' => 'Śledzenie połączeń iptables',
+'connection tracking' => 'Śledzenie połączeń',
 'connection type' => 'Rodzaj połączenia',
 'connection type is invalid' => 'Nieprawidłowy rodzaj połączenia.',
 'connections' => 'Połączenia',
diff --git a/langs/ru/cgi-bin/ru.pl b/langs/ru/cgi-bin/ru.pl
index dbe86ddea..2c91a3fee 100644
--- a/langs/ru/cgi-bin/ru.pl
+++ b/langs/ru/cgi-bin/ru.pl
@@ -510,7 +510,7 @@
 'connection closed' => 'Не подключён...',
 'connection debugging' => 'Connection debugging',
 'connection status and controlc' => 'Статус и управление подключениями:',
-'connection tracking' => 'Просмотр соединений через iptables',
+'connection tracking' => 'Отслеживание подключений',
 'connection type' => 'Connection Type',
 'connection type is invalid' => 'Connection type is invalid.',
 'connections' => 'Соединения',
diff --git a/langs/tr/cgi-bin/tr.pl b/langs/tr/cgi-bin/tr.pl
index b67311ece..de5837a3f 100644
--- a/langs/tr/cgi-bin/tr.pl
+++ b/langs/tr/cgi-bin/tr.pl
@@ -640,7 +640,7 @@
 'connection closed' => 'Bağlı değil...',
 'connection debugging' => 'Hata ayıklama bağlantısı',
 'connection status and controlc' => 'Bağlantı durumu ve kontrol:',
-'connection tracking' => 'IPTablo bağlantı takibi',
+'connection tracking' => 'Bağlantı izleme',
 'connection type' => 'Bağlantı türü',
 'connection type is invalid' => 'Geçersiz bağlantı türü.',
 'connections' => 'Bağlantılar',