diff --git a/langs/de/cgi-bin/de.pl b/langs/de/cgi-bin/de.pl
index 0be097609..6d4743e28 100644
--- a/langs/de/cgi-bin/de.pl
+++ b/langs/de/cgi-bin/de.pl
@@ -1175,7 +1175,6 @@
 'fwdfw natport used' => 'Der eingegebene Port wird bereits von einer anderen DNAT-Regel benutzt.',
 'fwdfw newrule' => 'Neue Regel erstellen',
 'fwdfw numcon' => 'Anzahl der Verbindungen',
-'fwdfw p2p txt' => 'P2P-Netzwerke erlauben/verbieten.',
 'fwdfw pol allow' => 'Zugelassen',
 'fwdfw pol block' => 'Blockiert',
 'fwdfw pol text' => 'Firewall-Standardverhalten für Verbindungen aus lokalen Netzwerken: Alle Verbindungen können entweder zugelassen oder geblockt werden, wenn keine Ausnahmeregel zutrifft. "Blockiert" trennt ebenfalls die Kommunikation zwischen den lokalen Netzwerken.',
@@ -1911,11 +1910,6 @@
 'outgoing firewall mode1' => 'In diesem Modus werden nur Verbindungen nach den oben definierten Regeln zugelassen.',
 'outgoing firewall mode2' => 'In diesem Modus werden sämtliche Verbindungen erlaubt, bis auf die oben definierten Block-Regeln.',
 'outgoing firewall outgoing firewall reserved groupname' => 'Bitte einen anderen Gruppennamen verwenden, dieser ist ein reserviertes Wort.',
-'outgoing firewall p2p allow' => 'P2P-Protokollnutzung ist erlaubt',
-'outgoing firewall p2p deny' => 'P2P-Protokollnutzung ist gesperrt',
-'outgoing firewall p2p description 1' => 'Das Symbol',
-'outgoing firewall p2p description 2' => 'bedeutet, dass das P2P-Protokoll erlaubt wird oder',
-'outgoing firewall p2p description 3' => 'das P2P-Protokoll gesperrt wird.',
 'outgoing firewall reset' => 'Alle Regeln löschen',
 'outgoing firewall view group' => 'Gruppe anzeigen',
 'outgoing firewall warning' => 'Nur die Auswahl Quell IP / MAC aktiviert diese',
@@ -1981,7 +1975,6 @@
 'ovpn_processprioVH' => 'Sehr Hoch',
 'ovpnstatus log' => 'OVPN-Status-Protokoll',
 'ovpnsys log' => 'OVPN-System-Protokoll',
-'p2p block' => 'P2P-Netzwerke',
 'p2p block save notice' => 'Bitte lesen Sie die Firewallregeln neu ein, damit die Änderungen aktiv werden.',
 'package failed to install' => 'Programmpaket konnte nicht installiert werden.',
 'pagerefresh' => 'Seite wird aktualisiert. Bitte warten.',
diff --git a/langs/en/cgi-bin/en.pl b/langs/en/cgi-bin/en.pl
index d98422621..b9f99a82e 100644
--- a/langs/en/cgi-bin/en.pl
+++ b/langs/en/cgi-bin/en.pl
@@ -1217,7 +1217,6 @@
 'fwdfw natport used' => 'The given port for NAPT is already in use by an other DNAT rule.',
 'fwdfw newrule' => 'New rule',
 'fwdfw numcon' => 'Number of connections',
-'fwdfw p2p txt' => 'Grant/deny access to P2P networks.',
 'fwdfw pol allow' => 'Allowed',
 'fwdfw pol block' => 'Blocked',
 'fwdfw pol text' => 'Sets the default firewall behaviour for connections from local networks. You may either allow all new connections or block them by default. Connections between the local networks are also blocked in the latter mode.',
@@ -1963,11 +1962,6 @@
 'outgoing firewall mode1' => 'Using this mode, only connections based on the defined rules are allowed.',
 'outgoing firewall mode2' => 'Using this mode, all connections are allowed despited off the defined ones.',
 'outgoing firewall outgoing firewall reserved groupname' => 'Please use another group name, this name is reserved.',
-'outgoing firewall p2p allow' => 'Using the P2P protocol is allowed',
-'outgoing firewall p2p deny' => 'Using the P2P protocol is forbidden',
-'outgoing firewall p2p description 1' => 'The button',
-'outgoing firewall p2p description 2' => 'means that the p2p protocol is allowed or',
-'outgoing firewall p2p description 3' => 'that the p2p protocol is denied.',
 'outgoing firewall reset' => 'Reset all',
 'outgoing firewall view group' => 'View group',
 'outgoing firewall warning' => 'Not selecting source ip or mac ignores them',
@@ -2032,7 +2026,6 @@
 'ovpn_processprioVH' => 'Very high',
 'ovpnstatus log' => 'OVPN-Status-Log',
 'ovpnsys log' => 'OVPN-System-Log',
-'p2p block' => 'P2P networks',
 'p2p block save notice' => 'Please reload the firewall ruleset in order to apply your changes.',
 'package failed to install' => 'Package failed to install.',
 'pagerefresh' => 'Page is beeing refreshed, please wait.',
diff --git a/langs/es/cgi-bin/es.pl b/langs/es/cgi-bin/es.pl
index bd83b8db4..f5c158bbb 100644
--- a/langs/es/cgi-bin/es.pl
+++ b/langs/es/cgi-bin/es.pl
@@ -1370,7 +1370,6 @@
 'outgoing firewall mode1' => 'Usando este modo, solamente las conexión basadas en las reglas definidas son permitidas.',
 'outgoing firewall mode2' => 'Usando este modo, todas las conexioens son permitidas sin importar las ya definidias.',
 'outgoing firewall outgoing firewall reserved groupname' => 'Por favor, utilice otro nombre de grupo, este nombre está reservado',
-'outgoing firewall p2p description' => 'Presiones el botón correspondiente para activar/desactivar el módulo de bloqueo P2P',
 'outgoing firewall reset' => 'Restablecer todo',
 'outgoing firewall warning' => 'No seleccionar ip origen o mac las ignora',
 'outgoing traffic in bytes per second' => 'Tráfico de salida',
diff --git a/langs/fr/cgi-bin/fr.pl b/langs/fr/cgi-bin/fr.pl
index 60ea0dcc5..ca3baac49 100644
--- a/langs/fr/cgi-bin/fr.pl
+++ b/langs/fr/cgi-bin/fr.pl
@@ -1223,7 +1223,6 @@
 'fwdfw natport used' => 'Le port proposé pour NAPT est déjà utilisé par une autre règle DNAT.',
 'fwdfw newrule' => 'Nouvelle règle',
 'fwdfw numcon' => 'Nombre de connexions ',
-'fwdfw p2p txt' => 'Accorder / refuser l\'accès aux réseaux P2P.',
 'fwdfw pol allow' => 'Autorisé',
 'fwdfw pol block' => 'Bloqué',
 'fwdfw pol text' => 'Défini le comportement du pare-feu par défaut pour les connexions à partir de réseaux locaux. Vous pouvez autoriser toutes les nouvelles connexions ou les bloquer par défaut. Les connexions entre les réseaux locaux sont également bloquées dans ce dernier mode.',
@@ -1971,11 +1970,6 @@
 'outgoing firewall mode1' => 'En utilisant ce mode, seules les connexions basées sur les règles prédéfinies sont autorisées.',
 'outgoing firewall mode2' => 'En utilisant ce mode, toutes les connexions sont autorisées sans tenir compte de la liste de définitions.',
 'outgoing firewall outgoing firewall reserved groupname' => 'Veuillez utiliser un autre nom de groupe, ce nom est réservé.',
-'outgoing firewall p2p allow' => 'le protocole p2p est autorisé',
-'outgoing firewall p2p deny' => 'le protocole p2p est refusé',
-'outgoing firewall p2p description 1' => 'Le bouton',
-'outgoing firewall p2p description 2' => 'signifie que le protocole est autorisé ou',
-'outgoing firewall p2p description 3' => 'que le protocole p2p est bloqué.',
 'outgoing firewall reset' => 'Tout réinitialiser',
 'outgoing firewall view group' => 'Voir le groupe',
 'outgoing firewall warning' => 'Ne pas choisir IP source ou Mac ignore les',
@@ -2041,7 +2035,6 @@
 'ovpn_processprioVH' => 'Très haute',
 'ovpnstatus log' => 'Journal statut OVPN',
 'ovpnsys log' => 'Journal système OVPN',
-'p2p block' => 'Réseaux P2P',
 'p2p block save notice' => 'Veuillez recharger le jeu de règles du pare-feu afin d\'appliquer vos modifications.',
 'package failed to install' => 'L\'installation du paquet a échoué.',
 'pagerefresh' => 'La page est en cours d\'actualisation, veuillez patienter.',
diff --git a/langs/it/cgi-bin/it.pl b/langs/it/cgi-bin/it.pl
index f333bad43..89f4ff8c5 100644
--- a/langs/it/cgi-bin/it.pl
+++ b/langs/it/cgi-bin/it.pl
@@ -1029,7 +1029,6 @@
 'fwdfw moveup' => 'Sposta su',
 'fwdfw natport used' => 'The given port for NAPT is already in use by an other DNAT rule.',
 'fwdfw newrule' => 'Nuova regola',
-'fwdfw p2p txt' => 'Grant/deny access to P2P networks.',
 'fwdfw pol allow' => 'Allowed',
 'fwdfw pol block' => 'Blocked',
 'fwdfw pol text' => 'Imposta il comportamento predefinito del firewall per le connessioni da reti locali. Si può consentire tutte le nuove connessioni o bloccarle per impostazione predefinita. Anche le connessioni tra le reti locali sono bloccate in quest\'ultima modalità.',
@@ -1675,11 +1674,6 @@
 'outgoing firewall mode1' => 'Using this mode, only connections based on the defined rules are allowed.',
 'outgoing firewall mode2' => 'Using this mode, all connections are allowed despited off the defined ones.',
 'outgoing firewall outgoing firewall reserved groupname' => 'Please use another group name, this name is reserved.',
-'outgoing firewall p2p allow' => 'L\'utilizzo del protocollo P2P &egrave; consentito',
-'outgoing firewall p2p deny' => 'L\'utilizzo del protocollo P2P &egrave; impedito',
-'outgoing firewall p2p description 1' => 'The button',
-'outgoing firewall p2p description 2' => 'means that the p2p protocol is allowed or',
-'outgoing firewall p2p description 3' => 'that the p2p protocol is denied.',
 'outgoing firewall reset' => 'Reset all',
 'outgoing firewall view group' => 'View group',
 'outgoing firewall warning' => 'Not selecting source ip or mac ignores them',
@@ -1737,7 +1731,6 @@
 'ovpn_processprioVH' => 'Very high',
 'ovpnstatus log' => 'OVPN-Status-Log',
 'ovpnsys log' => 'OVPN-System-Log',
-'p2p block' => 'P2P networks',
 'p2p block save notice' => 'Ricarica le regole del firewall per applicare le modifiche.',
 'package failed to install' => 'Package failed to install.',
 'pagerefresh' => 'Page is beeing refreshed, please wait.',
diff --git a/langs/nl/cgi-bin/nl.pl b/langs/nl/cgi-bin/nl.pl
index 3169908db..87799549f 100644
--- a/langs/nl/cgi-bin/nl.pl
+++ b/langs/nl/cgi-bin/nl.pl
@@ -1014,7 +1014,6 @@
 'fwdfw moveup' => 'Omhoog',
 'fwdfw natport used' => 'De gegeven poort voor NAPT is al in gebruik door een andere DNAT regel.',
 'fwdfw newrule' => 'Nieuwe regel',
-'fwdfw p2p txt' => 'Toestaan/Verbieden toegang tot P2P netwerken.',
 'fwdfw pol allow' => 'Toegestaan',
 'fwdfw pol block' => 'Geblokkeerd',
 'fwdfw pol text' => 'Stel het standaard gedrag in voor verbindingen van lokale netwerken. U kunt alle verbindingen standaard toestaan of blokkeren. Verbindingen tussen lokale netwerken zijn tevens geblokeerd in de laatst genoemde modus.',
@@ -1640,11 +1639,6 @@
 'outgoing firewall mode1' => 'Als u deze modus gebruikt kunnen alleen verbindingen worden opgezet die door de gedefinieerde regels toegestaan zijn.',
 'outgoing firewall mode2' => 'Als u deze modus gebruikt worden alle verbindingen toegestaan, behalve de gedefinieerde blokkeringsregels.',
 'outgoing firewall outgoing firewall reserved groupname' => 'Gebruik een andere groepsnaam a.u.b., deze naam is gereserveerd.',
-'outgoing firewall p2p allow' => 'p2p protocol is toegestaan',
-'outgoing firewall p2p deny' => 'p2p protocol is niet toegestaan',
-'outgoing firewall p2p description 1' => 'De knop',
-'outgoing firewall p2p description 2' => 'betekent dat het p2p protocol is toegestaan of',
-'outgoing firewall p2p description 3' => 'dat het p2p protocol niet is  toegestaan.',
 'outgoing firewall reset' => 'Reset alles',
 'outgoing firewall view group' => 'Bekijk groep',
 'outgoing firewall warning' => 'Het niet selecteren van bron IP of MAC negeert ze',
@@ -1693,7 +1687,6 @@
 'ovpn_processprioVH' => 'Zeer hoog',
 'ovpnstatus log' => 'OVPN-Status-Log',
 'ovpnsys log' => 'OVPN-Systeem-Log',
-'p2p block' => 'P2P netwerken',
 'p2p block save notice' => 'De firewallregels moeten opnieuw geladen worden om uw wijzigingen actief te maken.',
 'package failed to install' => 'Pakket kon niet worden geïnstalleerd.',
 'pagerefresh' => 'Pagina wordt ververst, wacht even a.u.b.',
diff --git a/langs/pl/cgi-bin/pl.pl b/langs/pl/cgi-bin/pl.pl
index f44c4bcae..7685c76eb 100644
--- a/langs/pl/cgi-bin/pl.pl
+++ b/langs/pl/cgi-bin/pl.pl
@@ -1323,11 +1323,6 @@
 'outgoing firewall mode1' => 'W tym trybie tylko połączenia określone w regułach są dozwolone.',
 'outgoing firewall mode2' => 'W tym trybie wszystkie połączenia są dozwolone z wyjątkiem tych określonych w regułach.',
 'outgoing firewall outgoing firewall reserved groupname' => 'Proszę użyć innej nazwy grupy-ta jest zarezerwowana.',
-'outgoing firewall p2p allow' => 'protokoły p2p są dozwolone',
-'outgoing firewall p2p deny' => 'protokoły p2p są zabronione',
-'outgoing firewall p2p description 1' => 'Przycisk',
-'outgoing firewall p2p description 2' => 'oznacza, że protokoły p2p są dozwolone lub',
-'outgoing firewall p2p description 3' => ' że protokoły p2p są zabronione.',
 'outgoing firewall reset' => 'Resetuj wszystko',
 'outgoing firewall view group' => 'Zobacz grupę',
 'outgoing firewall warning' => 'Nie wybranie ip lub mac powoduje ich ignorowanie',
diff --git a/langs/ru/cgi-bin/ru.pl b/langs/ru/cgi-bin/ru.pl
index d5bac7204..f1136545e 100644
--- a/langs/ru/cgi-bin/ru.pl
+++ b/langs/ru/cgi-bin/ru.pl
@@ -1315,11 +1315,6 @@
 'outgoing firewall mode1' => 'При использовании этого метода доступ в интернет разрешён только тем, кто указан в правилах.',
 'outgoing firewall mode2' => 'При использовании этого метода доступ в интернет разрешён всем клиентам, кроме тех, кто указан в правилах.',
 'outgoing firewall outgoing firewall reserved groupname' => 'Данное имя группы зарезервировано системой, укажите другое.',
-'outgoing firewall p2p allow' => 'p2p протокол разрешён',
-'outgoing firewall p2p deny' => 'p2p протокол запрещён',
-'outgoing firewall p2p description 1' => 'Значок',
-'outgoing firewall p2p description 2' => 'означает, что p2p протокол разрешён, а',
-'outgoing firewall p2p description 3' => 'означает, что p2p протокол запрещён.',
 'outgoing firewall reset' => 'Сбросить всё',
 'outgoing firewall view group' => 'Посмотреть группу',
 'outgoing firewall warning' => 'Если не указывать ip или mac, то они будут игнорироваться',
diff --git a/langs/tr/cgi-bin/tr.pl b/langs/tr/cgi-bin/tr.pl
index 160043820..b996104fb 100644
--- a/langs/tr/cgi-bin/tr.pl
+++ b/langs/tr/cgi-bin/tr.pl
@@ -1134,7 +1134,6 @@
 'fwdfw natport used' => 'NAPT için verilen bağlantı noktası başka bir DNAT kural tarafından zaten kullanılıyor.',
 'fwdfw newrule' => 'Yeni Kural',
 'fwdfw numcon' => 'Bağlantı sayısı',
-'fwdfw p2p txt' => 'P2P ağlarına erişim izni Ver/Verme.',
 'fwdfw pol allow' => 'İzin Verildi',
 'fwdfw pol block' => 'Engellendi',
 'fwdfw pol text' => 'Yerel ağlardan bağlantılar için varsayılan günvenlik duvarı davranışını ayarlar. Tüm yeni bağlantılara izin verebilir veya varsayılan olarak engelleyebilirsiniz. Yerel ağlar arasındaki bağlantılar ayrıca sonraki biçimde engellenir.',
@@ -1817,11 +1816,6 @@
 'outgoing firewall mode1' => 'Bu yöntemin kullanılması ile sadece belirlenen kurallara göre izin verilir.',
 'outgoing firewall mode2' => 'Bu yöntemin kullanılması ile tanımlanmış tüm bağlantılara izin verilir.',
 'outgoing firewall outgoing firewall reserved groupname' => 'Lütfen başka bir grup adı kullanın bu ad ayrılmıştır.',
-'outgoing firewall p2p allow' => 'p2p kuralına izin verildi',
-'outgoing firewall p2p deny' => 'p2p kuralı engellendi',
-'outgoing firewall p2p description 1' => 'Düğme',
-'outgoing firewall p2p description 2' => 'p2p kuralı veya izini anlamına gelir',
-'outgoing firewall p2p description 3' => 'p2p kuralı engellendi anlamına gelir',
 'outgoing firewall reset' => 'Tümünü sıfırla',
 'outgoing firewall view group' => 'Grup bilgileri',
 'outgoing firewall warning' => 'Kaynak IP veya MAC seçildiğinde bunlar yok sayılır',
@@ -1881,7 +1875,6 @@
 'ovpn_processprioVH' => 'Çok yüksek',
 'ovpnstatus log' => 'OVPN-Durum-Günlük',
 'ovpnsys log' => 'OVPN-Durum-Günlük',
-'p2p block' => 'P2P Ağları',
 'p2p block save notice' => 'Yaptığınız değişiklikleri uygulamak için güvenlik duvarı kuralı ayarlarını lütfen yeniden yükleyin.',
 'package failed to install' => 'Paket yüklenemedi.',
 'pagerefresh' => 'Sayfa yenileniyor. Lütfen bekleyin.',